Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017875
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2011-07-04 18:522011-07-11 18:10
ReporterpsanjuanView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbfeb252fd7e9
ProjectionnoneETAnoneTarget Version3.0MP2
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017875: Payment in/out awaiting execution status - few fields must not be editable

DescriptionPayment in/out awaiting execution status - few fields must not be editable such as:

PAYMENT IN
organization
Amount
Currency
Received (Financial Account)

PAYMENT OUT
organization
Amount
Currency
Paid (Financial Account)
see screen attached
Steps To ReproduceCreate a payment method with below setup:
Payment in allowed (yes)
Received payment in other currencies (yes)
Execution type: Automatic
Execution process: Simple Execution process
Deferred (yes)

Create a sales invoice for a customer which do have that payment method by default.
Create a payment in and select that invoice.
Realize that the payment in is in awaiting execution status.
TagsNo tags attached.
Attached Filespng file icon 17875.png [^] (96,179 bytes) 2011-07-04 19:50

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0017803 closedvmromanos Invoice post (dated on prepayment date if any) 
depends on backport 00179183.0MP2 closedvmromanos Payment in/out awaiting execution status - few fields must not be editable 

-  Notes
(0038903)
hgbot (developer)
2011-07-06 16:43

Repository: erp/devel/pi
Changeset: e5dd0564ae7d26dccd51ed72890015b4a76bdacd
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Jul 06 16:44:51 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e5dd0564ae7d26dccd51ed72890015b4a76bdacd [^]

Fixed bug 17875: Payment in/out awaiting execution status - few fields must not be editable:
PAYMENT IN
organization
Amount
Currency
Received (Financial Account)

PAYMENT OUT
organization
Amount
Currency
Paid (Financial Account)

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0038917)
hudsonbot (developer)
2011-07-07 12:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fe5ad00fa445 [^]

Maturity status: Test
(0038935)
vmromanos (developer)
2011-07-08 12:01

Important:
@IsMultiCurrencyEnabled@!'Y' | @Processed@='Y' | @Status@!'RPAE'
should be
@IsMultiCurrencyEnabled@!'Y' | @Processed@='Y' | @Status@='RPAE'
(0038938)
hgbot (developer)
2011-07-08 12:30

Repository: erp/devel/pi
Changeset: bfeb252fd7e907b37711854ef2fa6b9c0c9b8aab
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Jul 08 12:07:02 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bfeb252fd7e907b37711854ef2fa6b9c0c9b8aab [^]

Fixed bug 17875: Currency field read only logic is fixed

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0038960)
psanjuan (manager)
2011-07-11 10:39

fixed and working
(0038994)
hudsonbot (developer)
2011-07-11 18:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/338b04b7d837 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-07-04 18:52 psanjuan New Issue
2011-07-04 18:52 psanjuan Assigned To => mirurita
2011-07-04 18:52 psanjuan Modules => Core
2011-07-04 18:54 psanjuan Steps to Reproduce Updated View Revisions
2011-07-04 19:11 psanjuan Assigned To mirurita => vmromanos
2011-07-04 19:26 psanjuan Relationship added related to 0017803
2011-07-04 19:50 psanjuan File Added: 17875.png
2011-07-06 13:52 vmromanos Status new => scheduled
2011-07-06 13:52 vmromanos fix_in_branch => pi
2011-07-06 16:43 hgbot Checkin
2011-07-06 16:43 hgbot Note Added: 0038903
2011-07-06 16:43 hgbot Status scheduled => resolved
2011-07-06 16:43 hgbot Resolution open => fixed
2011-07-06 16:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e5dd0564ae7d26dccd51ed72890015b4a76bdacd [^]
2011-07-07 12:53 hudsonbot Checkin
2011-07-07 12:53 hudsonbot Note Added: 0038917
2011-07-08 12:01 vmromanos Note Added: 0038935
2011-07-08 12:01 vmromanos Status resolved => new
2011-07-08 12:01 vmromanos Resolution fixed => open
2011-07-08 12:30 hgbot Checkin
2011-07-08 12:30 hgbot Note Added: 0038938
2011-07-08 12:30 hgbot Status new => resolved
2011-07-08 12:30 hgbot Resolution open => fixed
2011-07-08 12:30 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e5dd0564ae7d26dccd51ed72890015b4a76bdacd [^] => http://code.openbravo.com/erp/devel/pi/rev/bfeb252fd7e907b37711854ef2fa6b9c0c9b8aab [^]
2011-07-11 10:39 psanjuan Note Added: 0038960
2011-07-11 10:39 psanjuan Status resolved => closed
2011-07-11 10:39 psanjuan fix_in_branch pi =>
2011-07-11 18:10 hudsonbot Checkin
2011-07-11 18:10 hudsonbot Note Added: 0038994


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker